%define name Glide-V3-DRI
%define version 3.10
%define release 2mdk

Summary: Glide runtime for 3Dfx Voodoo Banshee and Voodoo3 boards
Name: %{name}
Version: %{version}
Release: %{release}
Icon: 3dfx.gif
Source: Glide3.10.tar.bz2
URL: http://www.3dfx.com	
Copyright: 3dfx Glide General Public License, 3Dfx Interactive Inc.
#Vendor: 3dfx Interactive Inc.
Packager: Joseph Kain <joseph@3dfx.com>
Group: System/Libraries
Prefix: /usr
BuildRoot: /usr/tmp/%{name}-buildroot
Obsoletes: Glide_V3

%description 
This library allows the user to use a 3dfx Interactive Voodoo Banshee
or Voodoo3 card under Linux with DRI support.  The source support DRI
or non-DRI versions of Glide.

%package -n Glide3x-devel
Summary: Development headers for Glide 3.x
Version: 2.1
Group: Development/C
Obsoletes: Glide_V3-devel

%description -n Glide3x-devel
This package includes the headers files, documentation, and test files
necessary for developing applications that use the 3Dfx Interactive
Voodoo Banshee or Voodoo3 cards with the DRI support.

%prep
%setup -c
chmod +x swlibs/include/make/ostype

%build

make -f makefile.linux

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT/usr/include/glide
install -d -m 755 $RPM_BUILD_ROOT/usr/local/glide/src/tests
install -d -m 755 $RPM_BUILD_ROOT/usr/local/glide/src/texus/lib
install -d -m 755 $RPM_BUILD_ROOT/usr/local/glide/src/texus/cmd
install -d -m 755 $RPM_BUILD_ROOT/usr/local/glide/src/texus/examples
install -d -m 755 $RPM_BUILD_ROOT/usr/doc/Glide3
install -d -m 755 $RPM_BUILD_ROOT/usr/lib
install -d -m 755 $RPM_BUILD_ROOT/usr/include

# Install the glibc 2.1 libraries normally
install -m 755 h3/lib/libglide3x.so $RPM_BUILD_ROOT/usr/lib/libglide3x_V3.so
rm -f $RPM_BUILD_ROOT/usr/lib/libglide3x.so
ln -s libglide3x_V3.so $RPM_BUILD_ROOT/usr/lib/libglide3x.so
install -m 755 swlibs/lib/libtexus.so $RPM_BUILD_ROOT/usr/lib

# Install the headers
install -m 644 swlibs/include/3dfx.h $RPM_BUILD_ROOT/usr/include/glide
install -m 644 h3/include/glide.h $RPM_BUILD_ROOT/usr/include/glide
install -m 644 h3/include/glidesys.h $RPM_BUILD_ROOT/usr/include/glide
install -m 644 h3/include/glideutl.h $RPM_BUILD_ROOT/usr/include/glide
install -m 644 h3/include/sst1vid.h $RPM_BUILD_ROOT/usr/include/glide
install -m 644 swlibs/include/linutil.h $RPM_BUILD_ROOT/usr/include/glide
install -m 644 swlibs/include/texus.h $RPM_BUILD_ROOT/usr/include/glide

# Install the examples and their source, no binaries
install -m 644 h3/glide3/tests/makefile.distrib $RPM_BUILD_ROOT/usr/local/glide/src/tests/makefile
install -m 644 h3/glide3/tests/*.3df $RPM_BUILD_ROOT/usr/local/glide/src/tests
install -m 644 h3/glide3/tests/test??.c $RPM_BUILD_ROOT/usr/local/glide/src/tests
install -m 644 h3/glide3/tests/tldata.inc $RPM_BUILD_ROOT/usr/local/glide/src/tests
install -m 644 h3/glide3/tests/tlib.[ch] $RPM_BUILD_ROOT/usr/local/glide/src/tests

# Install the texture tools
install -m 644 swlibs/texus/makefile.distrib $RPM_BUILD_ROOT/usr/local/glide/src/texus/makefile
install -m 644 swlibs/texus/lib/makefile.distrib $RPM_BUILD_ROOT/usr/local/glide/src/texus/lib/makefile
install -m 644 swlibs/texus/cmd/makefile.distrib $RPM_BUILD_ROOT/usr/local/glide/src/texus/cmd/makefile
install -m 644 swlibs/texus/examples/makefile.distrib $RPM_BUILD_ROOT/usr/local/glide/src/texus/examples/makefile
install -m 644 swlibs/texus/lib/*.c $RPM_BUILD_ROOT/usr/local/glide/src/texus/lib
install -m 644 swlibs/texus/lib/texusint.h $RPM_BUILD_ROOT/usr/local/glide/src/texus/lib
install -m 644 swlibs/texus/cmd/*.c $RPM_BUILD_ROOT/usr/local/glide/src/texus/cmd
install -m 644 swlibs/texus/examples/*.c $RPM_BUILD_ROOT/usr/local/glide/src/texus/examples

# Install the documentation
install -m 644 glide_license.txt $RPM_BUILD_ROOT/usr/doc/Glide3
install -m 644 docs/*.pdf $RPM_BUILD_ROOT/usr/doc/Glide3

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

if [ "$1" = 1 ]; then
	# Cleanup old GlideSDK
	rm -rf /usr/local/glide/lib
	grep -v '/usr/local/glide/lib' /etc/ld.so.conf > /etc/ld.so.conf.tmp
	mv /etc/ld.so.conf.tmp /etc/ld.so.conf
fi

%post -n Glide3x-devel

if [ "$1" = 1 ]; then
	# Cleanup old GlideSDK
	rm -rf /usr/local/glide/include
	set nonomatch
	rm -f /usr/local/glide/src/tldata.inc
	rm -f /usr/local/glide/src/Makefile
	rm -f /usr/local/glide/src/*.3df
	rm -f /usr/local/glide/src/*.c
	rm -f /usr/local/glide/src/*.h
fi

%postun
/sbin/ldconfig

%files
%defattr (-,root,root)
%docdir /usr/doc/Glide3
/usr/doc/Glide3/glide_license.txt
/usr/lib/libglide3x.so
/usr/lib/libglide3x_V3.so
/usr/lib/libtexus.so


%files -n Glide3x-devel
%defattr (-,root,root)
%docdir /usr/doc/Glide3
%dir /usr/local/glide
/usr/doc/Glide3/glide3pgm.pdf
/usr/doc/Glide3/glide3ref.pdf
/usr/doc/Glide3/glide3relno.pdf
/usr/local/glide/src
/usr/include/glide


%changelog
* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.10-2mdk
- fix group
- rename packages

* Wed Feb 23 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- mandrake build

* Wed Dec 1 1999 Joseph Kain <joseph@3dfx.com>
- Build from new clean sources.

* Mon Nov 22 1999 Joseph Kain <joseph@3dfx.com>
- Fixed h3/glide3/src/xdraw2.inc.S to build with binutils2.95.x.
  This should fix the build problems on Debian Potato.
